## libgetdata 0.11.0

=== cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.4)

project(getdata)



set(CMAKE_RUNTIME_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/bin)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/lib) 
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/lib) 


if(NOT GD_DIR)
  set(GD_DIR ${CMAKE_SOURCE_DIR}/..)
endif()


macro(GD_FILES name folder)
  file(GLOB ${name}_folder_sources ${GD_DIR}/${folder}/*.c) 
  file(GLOB ${name}_folder_sources_cpp ${GD_DIR}/${folder}/*.cpp)
  file(GLOB ${name}_folder_headers ${GD_DIR}/${folder}/*.h) 
  set(${name}_sources ${${name}_sources} ${${name}_folder_sources} ${${name}_folder_sources_cpp})
  set(${name}_headers ${${name}_headers} ${${name}_folder_headers})
  include_directories(${CMAKE_SOURCE_DIR}/${folder})
endmacro()

#TODO add configure
add_definitions(
  -DPACKAGE_NAME=\"GetData\"
  -DPACKAGE_VERSION=\"0.10.x\"
  -DGETDATA_LIB_VERSION=\"0.10.x\"
  -DPACKAGE_BUGREPORT=\"getdata-devel@lists.sourceforge.net\"
  -DUNALIGNED_ACCESS_OK
  )

# kst2 doesn't need the legacy API
set(DEFINE_GD_LEGACY_API "/* #undef GD_LEGACY_API */")

# Disable REGEX support
set(DEFINE_GD_NO_REGEX "#define GD_NO_REGEX 1")
set(DEFINE_GD_NO_PCRE "#define GD_NO_PCRE 1")

# Version macros
set(DEFINE_GD_GETDATA_VERSION  "#define GD_GETDATA_VERSION \"0.10.x\"")
set(DEFINE_GD_GETDATA_INT_VERSION  "#define GD_GETDATA_INT_VERSION 1000")

if(MSVC)
  ## Substitutions needed to build getdata.h
  # build in ANSI C mode
  set(DEFINE_GD_NO_C99_API "#define GD_NO_C99_API")

  # MSVCRT integer types
  set(DEFINE_gd_int64_t  "#define gd_int64_t  __int64")
  set(DEFINE_gd_uint64_t "#define gd_uint64_t unsigned __int64")

  add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_CRT_NONSTDC_NO_WARNINGS)
  add_definitions(
    -D__MSVCRT__
    -D_USE_MATH_DEFINES
    -DHAVE__CHSIZE
    -DHAVE__COMMIT
    -DHAVE__FINITE
    -DHAVE__FSTAT64
    -DHAVE__GETCWD
    -DHAVE__ISNAN
    -DHAVE__MKDIR
    -DHAVE__RMDIR
    -DHAVE__SNPRINTF
    -DHAVE__STAT64
    -DHAVE__STRTOI64
    -DHAVE__STRTOUI64
    -DHAVE_DECL__STRTOI64=0
    -DHAVE_DECL__STRTOUI64=0
    -DHAVE_DIRENT_H
    -DHAVE_DIRECT_H
    -DHAVE_FCNTL_H
    -DHAVE_FLOAT_H
    -DHAVE_LIBGEN_H
    -DHAVE_INTTYPES_H
    -DHAVE_IO_H
    -DHAVE_STDINT_H
    -DHAVE_STRUCT___STAT64
    -DHAVE_SYS_STAT_H
    -DGD_DIRSEP='\\\\'
    -DMKDIR_NO_MODE
    -Dmode_t=int
    -Drestrict=
    -DSIZEOF_INT=4
    -DSIZEOF_UNSIGNED_INT=4
    -DSTDC_HEADERS
    )
  set(CMAKE_DEBUG_POSTFIX d)

  # ANSI C
  #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /Za")

  # Suppress warnings
  string(REGEX REPLACE "/W[0-4]" "/W0" CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")

  include_directories(${GD_DIR}/src/msvc)
endif()

if(MINGW)
  set(DEFINE_gd_int64_t  "#define gd_int64_t  __int64")
  set(DEFINE_gd_uint64_t "#define gd_uint64_t unsigned __int64")

  add_definitions(
    -D__MSVCRT_VERSION__=0x0601
    -DGD_DIRSEP='\\\\'
    -DGD_RESTRICT_ARRAY_OK=1
    -DHAVE_BASENAME
    -DHAVE_CABS
    -DHAVE_COMPLEX_H
    -DHAVE_DIRECT_H
    -DHAVE_DIRENT_H
    -DHAVE_FCNTL_H
    -DHAVE_FLOAT_H
    -DHAVE_FSEEKO64
    -DHAVE_FTELLO64
    -DHAVE_FTRUNCATE
    -DHAVE_GETCWD
    -DHAVE_INTTYPES_H
    -DHAVE_IO_H
    -DHAVE_ISNAN
    -DHAVE_LIBGEN_H
    -DHAVE_LSEEK64
    -DHAVE_MEMORY_H
    -DHAVE_NAN
    -DHAVE_OFF64_T
    -DHAVE_SNPRINTF
    -DHAVE_STDDEF_H
    -DHAVE_STDINT_H
    -DHAVE_STDLIB_H
    -DHAVE_STRINGS_H
    -DHAVE_STRING_H
    -DHAVE_STRTOLL
    -DHAVE_STRTOULL
    -DHAVE_STRUCT___STAT64
    -DHAVE_SYS_FILE_H
    -DHAVE_SYS_PARAM_H
    -DHAVE_SYS_STAT_H
    -DHAVE_SYS_TYPES_H
    -DHAVE_UNISTD_H
    -DHAVE__CHSIZE
    -DHAVE__COMMIT
    -DHAVE__COMPLEX_DOUBLE
    -DHAVE__COMPLEX_FLOAT
    -DHAVE__FDOPEN
    -DHAVE__FSTAT
    -DHAVE__FSTAT64
    -DHAVE__GETCWD
    -DHAVE__ISNAN
    -DHAVE__LSEEKI64
    -DHAVE__MKDIR
    -DHAVE__OPEN
    -DHAVE__READ
    -DHAVE__RMDIR
    -DHAVE__SNPRINTF
    -DHAVE__STAT64
    -DHAVE__STRTOI64
    -DHAVE__STRTOUI64
    -DHAVE__UNLINK
    -DHAVE__WRITE
    -DMKDIR_NO_MODE
    -DSIZEOF_INT=4
    -DSIZEOF_UNSIGNED_INT=4
    -DSTDC_HEADERS
    -D_BSD_SOURCE=1
    -D_GNU_SOURCE=1
    -D_POSIX_C_SOURCE=1200809L
    -D_POSIX_SOURCE=1
    -D_SVID_SOURCE=0
    -Drestrict=__restrict
    )
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
endif()

if(GD_TEST)
  enable_testing()
endif()

configure_file(${GD_DIR}/src/getdata.h.in ${CMAKE_BINARY_DIR}/getdata.h @ONLY)

include_directories(${GD_DIR}/src ${CMAKE_CURRENT_BINARY_DIR})

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/INSTALLED CACHE PATH "install path" FORCE)
endif()

add_subdirectory(src)
add_subdirectory(bindings)

if(GD_UTIL)
  add_subdirectory(util)
endif()

if(GD_TEST)
  add_subdirectory(test)
endif()

=== cmake/bindings/CMakeLists.txt ===

add_subdirectory(cxx)

=== cmake/src/CMakeLists.txt ===

set(files_ignored
	${GD_DIR}/src/bzip.c
	${GD_DIR}/src/flac.c
	${GD_DIR}/src/gzip.c
	${GD_DIR}/src/lzma.c
	${GD_DIR}/src/legacy.c
	${GD_DIR}/src/slim.c
	${GD_DIR}/src/zzslim.c
	${GD_DIR}/src/zzip.c
	)

GD_FILES(gd src)

if(MSVC)
	set(gd_sources 
		${gd_sources}
		${GD_DIR}/src/msvc/dirent.h
		${GD_DIR}/src/msvc/dirent.c
		${GD_DIR}/src/msvc/dirname.c
		${GD_DIR}/src/msvc/libgen.h
		${GD_DIR}/src/msvc/inttypes.h
		)
	add_definitions(-DGD_C89_API)
endif()

if(GD_DEBUG)
  add_definitions(-DGETDATA_DEBUG)
else()
  set(files_ignored
    ${files_ignored}
    ${GD_DIR}/src/debug.c
    )
endif()

list(REMOVE_ITEM gd_sources ${files_ignored})

add_library(getdata STATIC ${gd_sources} ${gd_headers} ${CMAKE_BINARY_DIR}/getdata.h)


install(FILES ${CMAKE_BINARY_DIR}/getdata.h DESTINATION include)
install(TARGETS getdata DESTINATION lib)

=== cmake/test/CMakeLists.txt ===
project(GetDataTests)

GD_FILES(gd test)

add_definitions(-DGD_C89_API)

set(tests_ignored
  ascii_complex128 ascii_complex64 ascii_float32 ascii_float64

  bzip_add bzip_complex128 bzip_complex64 bzip_del bzip_enoent bzip_float32
  bzip_float64 bzip_get bzip_get_cont bzip_get_far bzip_get_get bzip_get_get2
  bzip_get_put bzip_int16 bzip_int32 bzip_int64 bzip_int8 bzip_move_from
  bzip_move_to bzip_nframes bzip_put bzip_put_back bzip_put_endian bzip_put_get
  bzip_put_offs bzip_put_pad bzip_put_sub bzip_seek bzip_seek_far bzip_sync
  bzip_uint16 bzip_uint32 bzip_uint64 bzip_uint8

  desync_path

  enc_add enc_complex128 enc_complex64 enc_del enc_enoent enc_float32
  enc_float64 enc_get_cont enc_int16 enc_int32 enc_int64 enc_int8
  enc_move_from enc_nframes enc_put_offs enc_seek enc_uint16 enc_uint32
  enc_uint64 enc_uint8

  error_verbose error_verbose_prefix

  flac_add flac_complex128 flac_complex64 flac_del flac_enoent flac_float32
  flac_float64 flac_get_big flac_get_cont flac_get_far flac_get_get
  flac_get_get2 flac_get_int64 flac_get_int8 flac_get_little flac_get_long
  flac_int16 flac_int32 flac_int64 flac_int8 flac_move_from flac_nframes
  flac_put_big flac_put_complex128 flac_put_float64 flac_put_int32
  flac_put_little flac_put_offs flac_seek flac_seek_far flac_sync flac_uint16
  flac_uint32 flac_uint64 flac_uint8

  get_off64

  gzip_add gzip_complex128 gzip_complex64 gzip_del gzip_enoent gzip_float32
  gzip_float64 gzip_get gzip_get_cont gzip_get_far gzip_get_get gzip_get_get2
  gzip_get_put gzip_int16 gzip_int32 gzip_int64 gzip_int8 gzip_move_from
  gzip_move_to gzip_nframes gzip_put gzip_put_back gzip_put_endian gzip_put_get
  gzip_put_nframes gzip_put_off gzip_put_offs gzip_put_pad gzip_put_sub
  gzip_seek gzip_seek_far gzip_seek_put gzip_sync gzip_uint16 gzip_uint32
  gzip_uint64 gzip_uint8

  header_off64t

  lzma_enoent lzma_get lzma_nframes lzma_put lzma_xz_add lzma_xz_complex128
  lzma_xz_complex64 lzma_xz_del lzma_xz_float32 lzma_xz_float64 lzma_xz_get
  lzma_xz_get_cont lzma_xz_get_far lzma_xz_get_get lzma_xz_get_get2
  lzma_xz_get_put lzma_xz_int16 lzma_xz_int32 lzma_xz_int64 lzma_xz_int8
  lzma_xz_move_from lzma_xz_move_to lzma_xz_nframes lzma_xz_offs_clear
  lzma_xz_put lzma_xz_put_back lzma_xz_put_endian lzma_xz_put_get
  lzma_xz_put_offs lzma_xz_put_pad lzma_xz_seek lzma_xz_seek_far lzma_xz_sync
  lzma_xz_uint16 lzma_xz_uint32 lzma_xz_uint64 lzma_xz_uint8

  legacy_error legacy_estring legacy_format legacy_get legacy_get_put
  legacy_get_rofs legacy_nframes legacy_nonexistent legacy_put legacy_spf

  match_fragment match_pcre match_pcre_bad match_pcre_caseless match_pcre_ext
  match_pcre_js match_pcre_utf8 match_regex match_regex_bad match_regex_ext
  match_regex_icase

  open_eaccess open_sym_a open_sym_al open_sym_as open_sym_at open_sym_c
  open_sym_cl open_sym_ct open_sym_d open_sym_l open_sym_p open_sym_pl
  open_sym_pt

  parse_huge

  put_off64 put_nofile

  slim_get slim_nframes slim_seek slim_seek_far

  trunc_rofs

  xz_get xz_nframes

  zzip_data zzip_get zzip_get_get zzip_nframes zzip_seek zzip_seek_far

  zzslim_get zzslim_nframes zzslim_seek zzslim_seek_far
  )

foreach(_item ${tests_ignored})
  list(REMOVE_ITEM gd_sources ${GD_DIR}/test/${_item}.c)
endforeach()

#set(gd_sources ${GD_DIR}/test/sie_get_little.c)

foreach(_test ${gd_sources})
  get_filename_component(testname ${_test} NAME_WE)
  set(testname test_${testname})
  add_executable(${testname} ${_test})
  target_link_libraries(${testname} getdata)
  add_test(NAME ${testname} COMMAND ${testname})
endforeach()

=== cmake/util/CMakeLists.txt ===
include_directories(${GD_DIR}/util)

add_executable(checkdirfile ${GD_DIR}/util/checkdirfile.c)
target_link_libraries(checkdirfile getdata)
install(TARGETS checkdirfile DESTINATION bin)

## dirfile2ascii uses getopt_long....
#
#add_executable(dirfile2ascii ${GD_DIR}/util/dirfile2ascii.c)
#target_link_libraries(dirfile2ascii getdata)
#install(TARGETS dirfile2ascii DESTINATION bin)

=== cmake/bindings/cxx/CMakeLists.txt ===

GD_FILES(s bindings/cxx)
GD_FILES(h bindings/cxx/getdata)

include_directories(${GD_DIR}/bindings/cxx)

set(GD_CXX getdata++)
if(MSVC AND NOT MSVC_IDE)
	# nmake could not handle ++ in the path
	set(GD_CXX getdataxx)
endif()

add_library(${GD_CXX} STATIC ${h_headers} ${s_sources})


install(FILES ${h_headers} DESTINATION include/getdata)
install(TARGETS ${GD_CXX} DESTINATION lib)

if (GD_TEST)
  add_subdirectory(test)
endif()

=== cmake/bindings/cxx/test/CMakeLists.txt ===
project(GetDataTests)

add_executable(cxx_test_big_test ${GD_DIR}/bindings/cxx/test/big_test.cpp)
target_link_libraries(cxx_test_big_test ${GD_CXX} getdata)
add_test(NAME cxx_test_big_test COMMAND cxx_test_big_test)

## libgetdata 0.7.3

=== debian/changelog ===
libgetdata (0.7.3-6ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:16:11 +0000

libgetdata (0.7.3-6) unstable; urgency=low

  * Fix lintian warnings about manpage NAME entries
  * Update control fields for upload to Debian

 -- Michael Milligan <mmilligan@astro.umn.edu>  Sun, 18 Sep 2011 11:02:34 -0500

libgetdata (0.7.3-5) lucid; urgency=low

  * added proper Breaks/Replaces relationship between -tools and -util

 -- Steven Benton <stevebenton@rogers.com>  Fri, 22 Jul 2011 12:08:51 -0400

libgetdata (0.7.3-4) lucid; urgency=low

  * removed bad patch persisting 0.7.1, for all files (not just Makefile.in)
  * patch to configure script, allows C++ not to be built, until fixed upstream

 -- Steven Benton <stevebenton@rogers.com>  Thu, 21 Jul 2011 13:30:19 -0400

libgetdata (0.7.3-3) lucid; urgency=low

  * libgetdata-dev now depends an all C, C++, F77, F95 runtime libraries
  * removed erroneous patch that persisted an old version of Makefile.in
  * renamed libgetdata-util to libgetdata-tools

 -- Steven Benton <stevebenton@rogers.com>  Wed, 20 Jul 2011 10:58:08 -0400

libgetdata (0.7.3-2) lucid; urgency=low

  * added packaging for the fortran bindings
  * added dependencies on libgetdata4 to all other binary packages
  * -dev package now recommends c++ and fortran libraries
  * do not install libtool .la files
  * readded watch file

 -- Steven Benton <stevebenton@rogers.com>  Mon, 18 Jul 2011 14:58:17 -0400

libgetdata (0.7.3-1) unstable; urgency=low

  * renamed and reorganized packages to conform to Debian policy
  * libgetdata split to libgetdata4 and libgetdata++2
  * libgetdata-python renamed to python-pygetdata

 -- Michael Milligan <mmilligan@astro.umn.edu>  Thu, 07 Jul 2011 04:08:59 -0500

libgetdata (0.7.3) lucid; urgency=low

  * new upstream release
  * added debian/source/format file to maybe fix native-package confusion
  * remove watch file since package name differs from sf project

 -- Steven Benton <stevebenton@rogers.com>  Thu, 23 Jun 2011 16:21:58 -0400

libgetdata (0.7.1) lucid; urgency=low

  * new upstream release
  * repackaged again as not debian-native (I must be doing something wrong)
  * packaged python bindings in libgetdata-python

 -- Steven Benton <stevebenton@rogers.com>  Thu, 23 Jun 2011 16:19:14 -0400

libgetdata (0.7.0) lucid; urgency=low

  * new upstream release
  * repackaged as not debian-native (it shouldn't be, and wasn't originally)
  * removed sonumber from library package, since nobody will run old getdata
  * added new dirfile2ascii to -util, along with manpages

 -- Steven Benton <stevebenton@rogers.com>  Wed, 24 Nov 2010 11:09:59 +1300

libgetdata (0.6.3ppa2) lucid; urgency=low

  * added utility programs in new libgetdata-util package

 -- Steven Benton <stevebenton@rogers.com>  Sat, 20 Nov 2010 10:26:09 +1300

libgetdata (0.6.3ppa1) jaunty; urgency=low

  * fix licensing terms: LGPL 2.1 is different from LGPL 2

 -- Steven Benton <stevebenton@rogers.com>  Fri, 07 May 2010 18:38:57 -0400

libgetdata (0.6.3ppa0-1) jaunty; urgency=low

  * Initial release and debianization

 -- Steven Benton <stevebenton@rogers.com>  Fri, 07 May 2010 18:38:57 -0400

=== debian/control ===
Source: libgetdata
Priority: extra
Maintainer: Michael Milligan <mmilligan@astro.umn.edu>
Uploaders: Steven Benton <stevebenton@rogers.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, python-numpy, python-all-dev, python-support (>= 0.90), fortran-compiler, dh-autoreconf, automake1.11
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Section: libs
Homepage: http://getdata.sourceforge.net/

Package: libgetdata-dev
Section: libdevel
Architecture: any
Depends: libgetdata4 (= ${binary:Version}), libgetdata++2 (= ${binary:Version}), libfgetdata2 (= ${binary:Version}), libf95getdata2 (= ${binary:Version}), ${misc:Depends}
Description: library to read/write dirfile data - devel files (C, C++, F77, F95)
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata4
Section: libs
Replaces: libgetdata (<< 0.7.3-1)
Breaks: libgetdata (<< 0.7.3-1)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata++2
Section: libs
Replaces: libgetdata (<< 0.7.3-1)
Breaks: libgetdata (<< 0.7.3-1)
Architecture: any
Depends: libgetdata4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - C++ bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libfgetdata2
Section: libs
Architecture: any
Depends: libgetdata4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Fortran 77 bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libf95getdata2
Section: libs
Architecture: any
Depends: libgetdata4 (= ${binary:Version}), libfgetdata2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Fortran 95 bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata-tools
Section: libs
Replaces: libgetdata-util (<< 0.7.3-3)
Breaks: libgetdata-util (<< 0.7.3-3)
Architecture: any
Depends: libgetdata4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - extra tools
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: python-pygetdata
Section: python
Replaces: libgetdata-python (<< 0.7.3-1)
Breaks: libgetdata-python (<< 0.7.3-1)
Architecture: any
Depends: libgetdata4 (= ${binary:Version}), python-numpy, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - python bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vs)

export AUTOMAKE = automake-1.11
export ACLOCAL = aclocal-1.11

%:
	dh  $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -Bbuild-main -- --disable-python
	cp src/*.h build-main/src/
	for v in $(PYVERS); do \
	  dh_auto_configure -Bbuild-py$$v -- --disable-bindings --enable-python --with-python=/usr/bin/python$$v; \
	  cp src/*.h build-py$$v/src/; \
	done

#trick from python-ldns
# magic is: PYTHON_VERSION=$$v dh_auto_configure -Bbuild-py$$v 
# and later dh_auto_build -Bbuild-py$$v

override_dh_auto_build:
	dh_auto_build -Bbuild-main
	for v in $(PYVERS); do \
	  dh_auto_build -Bbuild-py$$v; \
	done

override_dh_auto_install:
	dh_auto_install -Bbuild-main
	for v in $(PYVERS); do \
	  dh_auto_install -Bbuild-py$$v; \
	done

override_dh_auto_clean:
	dh_auto_clean -Bbuild-main
	for v in $(PYVERS); do \
	  dh_auto_clean -Bbuild-py$$v; \
	done

=== debian/watch ===
version=3

http://sf.net/getdata/getdata-(.*)\.tar\.gz

## libgetdata 0.9.0

=== debian/changelog ===
libgetdata (0.9.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * libgetdata-doc: Reinstate the Breaks+Replaces against libgetdata-dev.
    (Closes: #799340)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Jan 2016 14:48:03 +0100

libgetdata (0.9.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Correct Breaks/Replaces on libgetdata-doc, remove those added
    in previous uploads (Closes: #799340)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 02 Jan 2016 22:23:48 +0000

libgetdata (0.9.0-2) unstable; urgency=medium

  * Breaks/Replace fix for libgetdata-tools. Closes: #799340.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Nov 2015 01:46:55 +0000

libgetdata (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * Breaks/Replace fix. Closes: #799340.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 29 Oct 2015 05:22:16 +0000

libgetdata (0.8.9-3) unstable; urgency=medium

  * Add Breaks to -dev, -doc packages to resolve upgrade issue.
    Closes: #799340.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Oct 2015 19:29:39 +0100

libgetdata (0.8.9-2) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Add build-depends on libmodule-build-perl for perl5.22. Closes: #799118. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Sep 2015 08:54:54 +0100

libgetdata (0.8.9-1) unstable; urgency=low

  [ Steven Benton ]
  * New upstream release.
  * Removed patches, both were fixed upstream
  * Update Standards-Version to 3.9.6
  * change versioning to reflect SONAME change
  * add libgetdata-doc package for documentation
  * add encoding (compression) libraries to Build-Depends
  * add libgetdata-perl package for perl bindings
  * enable autotools-dev to update config.{guess,sub} (Closes: #727407)
  * enable multi-arch on library packages

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Sep 2015 22:37:14 +0100

libgetdata (0.7.3-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh_python2 (Closes: #785977)
  * Call dh_numpy, to generate dependencies based on the numpy ABI.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 26 Aug 2015 12:55:40 -0700

libgetdata (0.7.3-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against gcc5/gfortran for transition.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Aug 2015 10:40:54 +0100

=== debian/control ===
Source: libgetdata
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael Milligan <mmilligan@astro.umn.edu>, Steven Benton <stevebenton@rogers.com>, Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9~), autotools-dev, dh-python, python-numpy, python-all-dev, fortran-compiler, zlib1g-dev, libbz2-dev, liblzma-dev, libzzip-dev , libmodule-build-perl
Standards-Version: 3.9.6
X-Python-Version: >= 2.3
Section: science
Vcs-Git: git://anonscm.debian.org/debian-science/packages/libgetdata.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/libgetdata.git
Homepage: http://getdata.sourceforge.net/

Package: libgetdata-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: libgetdata-dev (<< 0.8.9-2), libgetdata-tools (<< 0.8.9-2)
Replaces: libgetdata-dev (<< 0.8.9-2), libgetdata-tools (<< 0.8.9-2)
Suggests: libgetdata-dev
Description: library to read/write dirfile data - API and standards documents
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata-dev
Section: libdevel
Architecture: any
Depends: libgetdata5 (= ${binary:Version}), libgetdata++3 (= ${binary:Version}), libfgetdata2 (= ${binary:Version}), libf95getdata2 (= ${binary:Version}), ${misc:Depends}
Suggests: libgetdata-doc
Description: library to read/write dirfile data - devel files (C, C++, F77, F95)
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata5
Section: libs
Replaces: libgetdata (<< 0.7.3-1)
Breaks: libgetdata (<< 0.7.3-1)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata++3
Section: libs
Replaces: libgetdata (<< 0.7.3-1)
Breaks: libgetdata (<< 0.7.3-1)
Architecture: any
Depends: libgetdata5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - C++ bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libfgetdata2
Section: libs
Architecture: any
Depends: libgetdata5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Fortran 77 bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libf95getdata2
Section: libs
Architecture: any
Depends: libgetdata5 (= ${binary:Version}), libfgetdata2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Fortran 95 bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata-tools
Section: libs
Architecture: any
Depends: libgetdata5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - extra tools
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: python-pygetdata
Section: python
Replaces: libgetdata-python (<< 0.7.3-1)
Breaks: libgetdata-python (<< 0.7.3-1)
Architecture: any
Depends: libgetdata5 (= ${binary:Version}), python-numpy, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - python bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata-perl
Section: perl
Architecture: any
Depends: libgetdata5 (= ${binary:Version}), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - perl bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYVERS=$(shell pyversions -vs)
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-export AUTOMAKE = automake-1.11
-export ACLOCAL = aclocal-1.11
+PYVERS=$(shell pyversions -vr)
 
 %:
-	dh  $@ --with autoreconf
+	dh $@ --with python2,autotools_dev
 
 override_dh_auto_configure:
-	dh_auto_configure -Bbuild-main -- --disable-python
+	dh_auto_configure -Bbuild-main -- --disable-python --with-perl-dir=vendor
 	cp src/*.h build-main/src/
 	for v in $(PYVERS); do \
 	  dh_auto_configure -Bbuild-py$$v -- --disable-bindings --enable-python --with-python=/usr/bin/python$$v; \
@@ -40,6 +39,7 @@
 	for v in $(PYVERS); do \
 	  dh_auto_install -Bbuild-py$$v; \
 	done
+	dh_numpy
 
 override_dh_auto_clean:
 	dh_auto_clean -Bbuild-main

## libgetdata 0.9.2.1

=== debian/changelog ===
libgetdata (0.9.2.1-1) UNRELEASED; urgency=medium

  * New upstream version
  * Standards-Version: 3.9.8

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 May 2016 11:59:18 +0100

libgetdata (0.9.1-2) unstable; urgency=medium

  * Add Breaks/Replaces, as package names in 0.9.0 were not conssitent with
    sonames.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Feb 2016 18:09:25 +0000

libgetdata (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Use xz compression.
  * Another soname bump:
      libfgetdata2 -> libfgetdata5
      libgetdata5 -> libgetdata7
      libgetdata++3 -> libgetdata++6
      libf95getdata2 -> libf96getdata6

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 20 Feb 2016 16:10:07 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Milligan <mmilligan@astro.umn.edu>, Steven Benton <stevebenton@rogers.com>, Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 9~), autotools-dev, dh-python, python-numpy, python-all-dev, fortran-compiler, zlib1g-dev, libbz2-dev, liblzma-dev, libzzip-dev , libmodule-build-perl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.3
 Section: science
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/libgetdata.git
@@ -26,7 +26,7 @@
 Package: libgetdata-dev
 Section: libdevel
 Architecture: any
-Depends: libgetdata5 (= ${binary:Version}), libgetdata++3 (= ${binary:Version}), libfgetdata2 (= ${binary:Version}), libf95getdata2 (= ${binary:Version}), ${misc:Depends}
+Depends: libgetdata7 (= ${binary:Version}), libgetdata++6 (= ${binary:Version}), libfgetdata5 (= ${binary:Version}), libf95getdata6 (= ${binary:Version}), ${misc:Depends}
 Suggests: libgetdata-doc
 Description: library to read/write dirfile data - devel files (C, C++, F77, F95)
  The GetData Project is the reference implementation of the Dirfile Standards, 
@@ -34,7 +34,7 @@
  data. The Dirfile database format is designed to provide a fast, simple format 
  for storing and reading data.
 
-Package: libgetdata5
+Package: libgetdata7
 Section: libs
 Replaces: libgetdata (<< 0.7.3-1)
 Breaks: libgetdata (<< 0.7.3-1)
@@ -46,32 +46,36 @@
  data. The Dirfile database format is designed to provide a fast, simple format 
  for storing and reading data.
 
-Package: libgetdata++3
+Package: libgetdata++6
 Section: libs
-Replaces: libgetdata (<< 0.7.3-1)
-Breaks: libgetdata (<< 0.7.3-1)
+Replaces: libgetdata (<< 0.7.3-1), libgetdata++3
+Breaks: libgetdata (<< 0.7.3-1), libgetdata++3
 Architecture: any
-Depends: libgetdata5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgetdata7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: library to read/write dirfile data - C++ bindings
  The GetData Project is the reference implementation of the Dirfile Standards, 
  a filesystem-based, column-oriented database format for time-ordered binary 
  data. The Dirfile database format is designed to provide a fast, simple format 
  for storing and reading data.
 
-Package: libfgetdata2
+Package: libfgetdata5
 Section: libs
 Architecture: any
-Depends: libgetdata5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Replaces: libfgetdata2
+Breaks: libfgetdata2
+Depends: libgetdata7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: library to read/write dirfile data - Fortran 77 bindings
  The GetData Project is the reference implementation of the Dirfile Standards, 
  a filesystem-based, column-oriented database format for time-ordered binary 
  data. The Dirfile database format is designed to provide a fast, simple format 
  for storing and reading data.
 
-Package: libf95getdata2
+Package: libf95getdata6
 Section: libs
 Architecture: any
-Depends: libgetdata5 (= ${binary:Version}), libfgetdata2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Breaks: libf95getdata2
+Replaces: libf95getdata2
+Depends: libgetdata7 (= ${binary:Version}), libfgetdata5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: library to read/write dirfile data - Fortran 95 bindings
  The GetData Project is the reference implementation of the Dirfile Standards, 
  a filesystem-based, column-oriented database format for time-ordered binary 
@@ -81,7 +85,7 @@
 Package: libgetdata-tools
 Section: libs
 Architecture: any
-Depends: libgetdata5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgetdata7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: library to read/write dirfile data - extra tools
  The GetData Project is the reference implementation of the Dirfile Standards, 
  a filesystem-based, column-oriented database format for time-ordered binary 
@@ -93,7 +97,7 @@
 Replaces: libgetdata-python (<< 0.7.3-1)
 Breaks: libgetdata-python (<< 0.7.3-1)
 Architecture: any
-Depends: libgetdata5 (= ${binary:Version}), python-numpy, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: libgetdata7 (= ${binary:Version}), python-numpy, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Description: library to read/write dirfile data - python bindings
  The GetData Project is the reference implementation of the Dirfile Standards, 
  a filesystem-based, column-oriented database format for time-ordered binary 
@@ -103,7 +107,7 @@
 Package: libgetdata-perl
 Section: perl
 Architecture: any
-Depends: libgetdata5 (= ${binary:Version}), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: libgetdata7 (= ${binary:Version}), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Description: library to read/write dirfile data - perl bindings
  The GetData Project is the reference implementation of the Dirfile Standards, 
  a filesystem-based, column-oriented database format for time-ordered binary

## libgetdata 0.9.3

=== debian/changelog ===
libgetdata (0.9.3-2) unstable; urgency=medium

  * Add python3-pygetdata package.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Aug 2016 04:59:21 +0100

libgetdata (0.9.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 3.9.8

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Aug 2016 12:41:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,10 @@
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Milligan <mmilligan@astro.umn.edu>, Steven Benton <stevebenton@rogers.com>, Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9~), autotools-dev, dh-python, python-numpy, python-all-dev, fortran-compiler, zlib1g-dev, libbz2-dev, liblzma-dev, libzzip-dev , libmodule-build-perl
+Build-Depends: debhelper (>= 9~), autotools-dev, 
+ dh-python, python-numpy, python-all-dev, 
+ python3-numpy, python3-all-dev,
+ fortran-compiler, zlib1g-dev, libbz2-dev, liblzma-dev, libzzip-dev , libmodule-build-perl
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.3
 Section: science
@@ -104,6 +107,16 @@
  data. The Dirfile database format is designed to provide a fast, simple format 
  for storing and reading data.
 
+Package: python3-pygetdata
+Section: python
+Architecture: any
+Depends: libgetdata7 (= ${binary:Version}), python3-numpy, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: library to read/write dirfile data - Python3 bindings
+ The GetData Project is the reference implementation of the Dirfile Standards,
+ a filesystem-based, column-oriented database format for time-ordered binary
+ data. The Dirfile database format is designed to provide a fast, simple format
+ for storing and reading data.
+
 Package: libgetdata-perl
 Section: perl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,19 +7,20 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 PYVERS=$(shell pyversions -vr)
+PY3VERS=$(shell py3versions -vr)
 
 %:
-	dh $@ --with python2,autotools_dev
+	dh $@ --with python2,python3,autotools_dev
 
 override_dh_auto_configure:
 	dh_auto_configure -Bbuild-main -- --disable-python --with-perl-dir=vendor
 	cp src/*.h build-main/src/
-	for v in $(PYVERS); do \
+	for v in $(PYVERS) $(PY3VERS); do \
 	  dh_auto_configure -Bbuild-py$$v -- --disable-bindings --enable-python --with-python=/usr/bin/python$$v; \
 	  cp src/*.h build-py$$v/src/; \
 	done
@@ -30,19 +31,23 @@
 
 override_dh_auto_build:
 	dh_auto_build -Bbuild-main
-	for v in $(PYVERS); do \
+	for v in $(PYVERS) $(PY3VERS); do \
 	  dh_auto_build -Bbuild-py$$v; \
 	done
 
 override_dh_auto_install:
 	dh_auto_install -Bbuild-main
-	for v in $(PYVERS); do \
+	for v in $(PYVERS) $(PY3VERS); do \
 	  dh_auto_install -Bbuild-py$$v; \
 	done
 	dh_numpy
+	dh_numpy3
+	# rename
+	mv debian/tmp/usr/lib/python2.7/site-packages \
+		debian/tmp/usr/lib/python2.7/dist-packages
 
 override_dh_auto_clean:
 	dh_auto_clean -Bbuild-main
-	for v in $(PYVERS); do \
+	for v in $(PYVERS) $(PY3VERS); do \
 	  dh_auto_clean -Bbuild-py$$v; \
 	done

## libgetdata 0.9.4

=== debian/changelog ===
libgetdata (0.9.4-1+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2021-20204.

 -- Anton Gladky <gladk@debian.org>  Thu, 13 May 2021 15:57:00 +0200

libgetdata (0.9.4-1) unstable; urgency=medium

  * New upstream release
  * DH_COMPAT=10
  * Enable flac. Add dependendencies on libflac-dev, flac
  * d/rules: no longer need to rename site-packages -> dist-packages

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Sep 2016 09:08:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Milligan <mmilligan@astro.umn.edu>, Steven Benton <stevebenton@rogers.com>, Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9~), autotools-dev, 
+Build-Depends: debhelper (>= 10), autotools-dev, 
  dh-python, python-numpy, python-all-dev, 
  python3-numpy, python3-all-dev,
+ libflac-dev, flac,
  fortran-compiler, zlib1g-dev, libbz2-dev, liblzma-dev, libzzip-dev , libmodule-build-perl
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.3

## libgetdata 0.10.0

=== debian/changelog ===
libgetdata (0.10.0-6build3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:29 +0100

libgetdata (0.10.0-6build2) focal; urgency=medium

  * No change rebuild with Python 3.8

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 23 Oct 2019 15:24:45 +1300

libgetdata (0.10.0-6build1) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:21:44 +0000

libgetdata (0.10.0-6) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * Drop python2 support
  * Use debhelper-compat (=12)
  * B-D on gfortran | fortran-compiler
  * use f77 and f95 as fortran compiler aliases in d/rules
  * Use --as-needed when linking with gfortran but not flang

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 20 Jul 2019 14:09:57 +0100

libgetdata (0.10.0-5) unstable; urgency=medium

  * Rebuild for python3.7 support

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Jul 2018 15:05:59 +0100

libgetdata (0.10.0-4) unstable; urgency=medium

  * Standards-Version: 4.1.4
  * Use https for homepage
  * Use Priority: optional, not extra
  * Drop calls, dep on autotools_dev with DH 10
  * Mark  packages as M-A foreign, same
  * Drop ancient x-python-version
  * Move VCS to salsa.d.o
  * Force use of gfortran-8 for mod format transition
  * Add libltdl-dev dependency 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 May 2018 11:16:32 +0100

libgetdata (0.10.0-3) unstable; urgency=medium

  * libltdl-dev now needed to build. Closes: #865312
  * Standards-Version: 4.0.0. No changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Jun 2017 12:34:46 +0100

libgetdata (0.10.0-2) unstable; urgency=medium

  * Update copyright file. Closes: #861767

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 May 2017 17:24:04 +0100

libgetdata (0.10.0-1) experimental; urgency=medium

  * New upstream release
  * Soname bump:
     libgetdata7 -> libgetdata8
     libfgetdata5 -> libfgetdata6
     libf95getdata6 -> libf95getdata7
     libgetdata++6 -> libgetdata++7     

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 May 2017 11:40:07 +0100

=== debian/control ===
Source: libgetdata
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael Milligan <mmilligan@astro.umn.edu>, Steven Benton <stevebenton@rogers.com>, Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 12), 
 dh-python, 
 dh-fortran-mod,
 python3-numpy, 
 python3-all-dev,
 libltdl-dev,
 libflac-dev, 
 flac,
 gfortran | fortran-compiler,
 flang [amd64 arm64 ppc64el],
 zlib1g-dev, 
 libbz2-dev, 
 liblzma-dev, 
 libzzip-dev , 
 libmodule-build-perl
Standards-Version: 4.4.0
Section: science
Vcs-Browser: https://salsa.debian.org:/science-team/libgetdata.git
Vcs-Git: https://salsa.debian.org:/science-team/libgetdata.git
Homepage: https://getdata.sourceforge.net/

Package: libgetdata-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libgetdata-dev (<< 0.8.9-2), libgetdata-tools (<< 0.8.9-2)
Replaces: libgetdata-dev (<< 0.8.9-2), libgetdata-tools (<< 0.8.9-2)
Suggests: libgetdata-dev
Description: library to read/write dirfile data - API and standards documents
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata-dev
Section: libdevel
Architecture: any
Depends: libgetdata8 (= ${binary:Version}), libgetdata++7 (= ${binary:Version}), libfgetdata6 (= ${binary:Version}), libf95getdata7 (= ${binary:Version}), ${misc:Depends}
Suggests: libgetdata-doc
Description: library to read/write dirfile data - devel files (C, C++, F77, F95)
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata8
Section: libs
Replaces: libgetdata (<< 0.7.3-1)
Breaks: libgetdata (<< 0.7.3-1)
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata++7
Section: libs
Replaces: libgetdata (<< 0.7.3-1), libgetdata++3
Breaks: libgetdata (<< 0.7.3-1), libgetdata++3
Architecture: any
Multi-Arch: same
Depends: libgetdata8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - C++ bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libfgetdata6
Section: libs
Architecture: any
Multi-Arch: same
Replaces: libfgetdata2
Breaks: libfgetdata2
Depends: libgetdata8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Fortran 77 bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libf95getdata7
Section: libs
Architecture: any
Multi-Arch: same
Breaks: libf95getdata2
Replaces: libf95getdata2
Depends: libgetdata8 (= ${binary:Version}), libfgetdata6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Fortran 95 bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: libgetdata-tools
Section: libs
Architecture: any
Depends: libgetdata8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - extra tools
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

Package: python3-pygetdata
Section: python
Architecture: any
Multi-Arch: same
Depends: libgetdata8 (= ${binary:Version}), python3-numpy, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - Python3 bindings
 The GetData Project is the reference implementation of the Dirfile Standards,
 a filesystem-based, column-oriented database format for time-ordered binary
 data. The Dirfile database format is designed to provide a fast, simple format
 for storing and reading data.

Package: libgetdata-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends: libgetdata8 (= ${binary:Version}), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: library to read/write dirfile data - perl bindings
 The GetData Project is the reference implementation of the Dirfile Standards, 
 a filesystem-based, column-oriented database format for time-ordered binary 
 data. The Dirfile database format is designed to provide a fast, simple format 
 for storing and reading data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

FC:=$(shell basename $(shell readlink /usr/bin/f95))
F77:=$(shell basename $(shell readlink /usr/bin/f77))
export F77 FC

FLANGARCHS:= amd64 arm64 ppc64el
DO_FLANG:= $(if $(filter  $(FLANGARCHS),$(DEB_HOST_ARCH)), true, false)

# Use --as-needed with gfortran, not flang
ifneq ($(filter gfortran,$(FC)),)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
endif

PY3VERS=$(shell py3versions -vr)

%:
	dh $@ --with python3,fortran_mod

override_dh_auto_configure:
	dh_auto_configure -Bbuild-main -- --disable-python --with-perl-dir=vendor
	cp src/*.h build-main/src/
	for v in $(PY3VERS); do \
	  dh_auto_configure -Bbuild-py$$v -- --disable-bindings --enable-python --with-python=/usr/bin/python$$v; \
	  cp src/*.h build-py$$v/src/; \
	done

#trick from python-ldns
# magic is: PYTHON_VERSION=$$v dh_auto_configure -Bbuild-py$$v 
# and later dh_auto_build -Bbuild-py$$v

override_dh_auto_build:
	dh_auto_build -Bbuild-main
	for v in $(PY3VERS); do \
	  dh_auto_build -Bbuild-py$$v; \
	done

override_dh_auto_install:
	dh_auto_install -Bbuild-main
	for v in $(PY3VERS); do \
	  dh_auto_install -Bbuild-py$$v; \
	done
	dh_numpy3

override_dh_auto_clean:
	dh_auto_clean -Bbuild-main
	for v in $(PY3VERS); do \
	  dh_auto_clean -Bbuild-py$$v; \
	done
